Name:		libdxfrw
Version:	0.5.7
Release:	1%{?dist}
Summary:	Library to read/write DXF files
License:	GPLv2+
URL:		http://sourceforge.net/p/libdxfrw/home/Home/
Source0:	http://downloads.sourceforge.net/project/libdxfrw/%{name}-%{version}.tar.bz2

%description
libdxfrw is a free C++ library to read and write DXF files in both formats, 
ASCII and binary form.

%package devel
Summary:	Development files for libdxfrw
Requires:	%{name}%{?_isa} = %{version}-%{release}

%description devel
Development files for libdxfrw.

%prep
%setup -q

%build
%configure --disable-static
make %{?_smp_mflags}

%install
make install DESTDIR=%{buildroot}
rm -rf %{buildroot}%{_libdir}/*.la

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%doc AUTHORS ChangeLog COPYING NEWS README TODO
%{_libdir}/*.so.*

%files devel
%{_includedir}/libdxfrw0
%{_libdir}/*.so
%{_libdir}/pkgconfig/libdxfrw0.pc

%changelog
* Sun Feb 24 2013 Tom Callaway <spot@fedoraproject.org> - 0.5.7-1
- initial package
